- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QShaderData
- Qt 6.9.2 Reference Documentation

# Qt3DRender::QShaderData Class

class Qt3DRender::QShaderData

Provides a way of specifying values of a Uniform Block or a shader structure. More...

Header: | `#include <Qt3DRender/QShaderData>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
Inherits: | Qt3DCore::QComponent
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QShaderData(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::PropertyReaderInterfacePtr | propertyReader() const

## Detailed Description

Note: When subclassing and adding properties to QShaderData, note that if you need to nest an inner Qt3DRender::QShaderData, the data type of the property should be Qt3DRender::QShaderData* instead of the name of your subclass.

## Member Function Documentation

### `[explicit]` QShaderData::QShaderData(Qt3DCore::QNode *parent = nullptr)

Constructs a new QShaderData with the specified parent.

### Qt3DRender::PropertyReaderInterfacePtr QShaderData::propertyReader() const

QShaderData::propertyReader Returns the PropertyReaderInterfacePtr for this shader data